export const VizContainer = ({
  id,
  width,
  height,
  margin,
  innerWidth,
  innerHeight,
  children
}) => {
  const outerRect = (
    <rect width={width} height={height} fill="#bbb" />
  );

  const innerRect = (
    <rect
      id={id} 
      width={innerWidth}
      height={innerHeight}
    />
  );

  return (
    <svg id="container" width={width} height={height}>
      {outerRect}
      <g transform={`translate(${margin.left}, ${margin.top})`} >
        {innerRect}
        {children}
      </g>
    </svg>
  );
};
